org.apache.ignite.internal.util

## Class GridSerializableList<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - org.apache.ignite.internal.util.GridSerializableList<E>

All Implemented Interfaces:
  Serializable, Iterable<E>, Collection<E>, List<E>

    public abstract class GridSerializableList<E>
    extends AbstractList<E>
    implements Serializable

Makes `AbstractList` as `Serializable` and is useful for making anonymous serializable lists. It has no extra logic or state in addition to `AbstractList`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`GridSerializableList()`

### Method Summary

### Methods inherited from class java.util.AbstractList

`add, add, addAll, clear, equals, get, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

### Methods inherited from class java.util.AbstractCollection

`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, size, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, size, sort, spliterator, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridSerializableList

    public GridSerializableList()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018